## org.hibernate.envers.configuration
Class GlobalConfiguration

    java.lang.Object
      org.hibernate.envers.configuration.GlobalConfiguration

    public class GlobalConfiguration

extends Object

Author:
  Adam Warski (adam at warski dot org), Nicolas Doroskevich

Constructor Summary
`GlobalConfiguration(Properties properties)`

Method Summary
`String` `getCorrelatedSubqueryOperator()`
`String` `getDefaultCatalogName()`
`String` `getDefaultSchemaName()`
`boolean` `isDoNotAuditOptimisticLockingField()`
`boolean` `isGenerateRevisionsForCollections()`
`boolean` `isStoreDataAtDelete()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalConfiguration

    public GlobalConfiguration(Properties properties)

Method Detail

### isGenerateRevisionsForCollections

    public boolean isGenerateRevisionsForCollections()

### isDoNotAuditOptimisticLockingField

    public boolean isDoNotAuditOptimisticLockingField()

### getCorrelatedSubqueryOperator

    public String getCorrelatedSubqueryOperator()

### isStoreDataAtDelete

    public boolean isStoreDataAtDelete()

### getDefaultSchemaName

    public String getDefaultSchemaName()

### getDefaultCatalogName

    public String getDefaultCatalogName()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.